Subject: Re: bug#44665: 28.0.50; enhancement proposal: to have term run command with arguments

From: Michael Albinus <[email-masked]>
Date: Mon, 16 Nov 2020 10:28:16 +0100

Jean Louis <[email-masked]> writes:

Hi,

> Currently I am using many times both M-x ansi-term or term and also
> dynamic module M-x vterm and I have this function for vterm:
>
> (defun run-with-vterm (command)
>   "Runs command with vterm"
>   (let ((vterm-kill-buffer-on-exit t)
> 	(buffer (format "Running within vterm: %s" command))
> 	(vterm-shell command))
>     (vterm buffer)))
>
> That helps me to quickly open maildirs belonging to specific users for
> review. I can also invoke full string as command to `vterm-shell`.
>
> I am proposing that term and ansi-term also get the possibility to
> easier invoke full command.

eshell comes to mind. Internally, it uses term.el for interactive
commands like mutt. You can call simply it like
(eshell-command "mutt -s blabla anyone@anywhere") or whatever arguments
you prefer.

Best regards, Michael.